using APT.BaseData.Domain.Entities.Platform;
using APT.Infrastructure.EF.Map;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace APT.BaseData.Data.Mapping.Platform
{
	public class PFDefectGradeMap : APTEntityBaseMap<T_PF_DEFECT_GRADE>
    {
		public override void Configure(EntityTypeBuilder<T_PF_DEFECT_GRADE> builder)
		{
			base.Configure(builder);
			builder.Property(t => t.CODE)
			 .HasMaxLength(20);
			builder.Property(t => t.NAME)
			 .HasMaxLength(20);
			builder.Property(t => t.SEVERITY);
		}
		 
    }
}
